## org.hibernate.jdbc
Interface JDBCContext.Context

All Superinterfaces:
  TransactionFactory.Context

All Known Implementing Classes:
  SessionImpl, StatelessSessionImpl

Enclosing class:
  JDBCContext

    public static interface JDBCContext.Context

extends TransactionFactory.Context

Method Summary
`void` `afterTransactionBegin(Transaction tx)` We cannot rely upon this method being called! It is only called if we are using Hibernate Transaction API.
`void` `afterTransactionCompletion(boolean success, Transaction tx)`
`void` `beforeTransactionCompletion(Transaction tx)`
`ConnectionReleaseMode` `getConnectionReleaseMode()`
`boolean` `isAutoCloseSessionEnabled()`

Methods inherited from interface org.hibernate.transaction.TransactionFactory.Context
`getFactory, isClosed, isFlushBeforeCompletionEnabled, isFlushModeNever, managedClose, managedFlush, shouldAutoClose`

Method Detail

### afterTransactionBegin

    void afterTransactionBegin(Transaction tx)

  We cannot rely upon this method being called! It is only called if we are using Hibernate Transaction API.

### beforeTransactionCompletion

    void beforeTransactionCompletion(Transaction tx)

### afterTransactionCompletion

    void afterTransactionCompletion(boolean success,
                                    Transaction tx)

### getConnectionReleaseMode

    ConnectionReleaseMode getConnectionReleaseMode()

### isAutoCloseSessionEnabled

    boolean isAutoCloseSessionEnabled()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.